<?php

$imagen_origen = imagecreatefromjpeg("Koala.jpg"); // La origen es la imagen Koala.jpg
$destino = imagecreatetruecolor(102, 77); // Construcción de la miniatura vacía

$anchura_origen = imagesx($imagen_origen); // devuelve la anchura del image
$altura_origen = imagesy($imagen_origen); // devuelve la altura de la origen
$anchura_destino = 102;
$altura_destino = 77;

// Construcción de la miniatura
imagecopyresampled($destino, $imagen_origen, 0, 0, 0, 0, $anchura_destino, $altura_destino, $anchura_origen, $altura_origen);

// Registro de la miniatura con el nombre "mini_Koala.jpg"
imagejpeg($destino,'mini_Koala.jpg');
echo "Visualización de la miniatura: <img src='mini_Koala.jpg' name='miniatura' />";
imagedestroy($imagen_origen);
?>
